## rev-proxy-grapher 0~git20180301

=== requirements.txt ===
pydotplus
pyyaml
netaddr

=== debian/changelog ===
rev-proxy-grapher (0~git20180301-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ X0RW3LL ]
  * Fix Python 3.12 Syntax Warnings (use raw strings)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jul 2024 16:56:41 +0200

rev-proxy-grapher (0~git20180301-0kali1) kali-dev; urgency=medium

  * Initial release (see 4579)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Sep 2021 15:05:17 +0200

=== debian/control ===
Source: rev-proxy-grapher
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all
Standards-Version: 4.6.0
Homepage: https://github.com/mricon/rev-proxy-grapher
Vcs-Browser: https://gitlab.com/kalilinux/packages/rev-proxy-grapher
Vcs-Git: https://gitlab.com/kalilinux/packages/rev-proxy-grapher.git
Rules-Requires-Root: no

Package: rev-proxy-grapher
Architecture: all
Depends: python3-netaddr,
         python3-nmap,
         python3-pydotplus,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Description: Reverse proxy grapher
 This package contains a useful little tool that will generate a nice graphviz
 graph illustrating your reverse proxy flow. It takes a manually curated YAML
 file describing the topology of your network, proxy definitions, and
 optionally a collection of nmap output files for additional port/service
 information and output a graph in any format supported by graphviz.

=== debian/tests/control ===
Test-Command: rev-proxy-grapher -h
Restrictions: superficial

Test-Command: debian/tests/runtests.sh

=== debian/watch ===
version=4
opts="mode=git, pretty=0~git%cd, pgpmode=none" \
  https://github.com/mricon/rev-proxy-grapher.git \
  HEAD debian

# if upstream started to make tagged releases:
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rev-proxy-grapher-$1.tar.gz%" \
#   https://github.com/mricon/rev-proxy-grapher/tags \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
